breed [railStations railStation]
breed [airports airport]
directed-link-breed [trains train]
trains-own [price time comfort passengers capacity]
directed-link-breed [flights flight]
flights-own [price time comfort passengers capacity]
breed [walkers walker]
walkers-own [location destination TotExpenditure TotTimeTravel TotComfort Preference] 
globals [DayTrainCount DayFlightCount DayNoTravelCount]

to setup
  clear-all
  set DayTrainCount 1
  set DayFlightCount 1
  set DayNoTravelCount 0
  set-default-shape railStations "square"
  set-default-shape airports "circle"  
  create-railStations 49
  file-open "./DatiAeroporti_Stazioni/ProveCoord.txt"
  while [not file-at-end?][
    ask railStation file-read [
      set color blue
      set xcor file-read
      set ycor file-read]]
  file-close
  let MoneySavers MoneySaversFraction * NumberWalkers
  let TimeSavers TimeSaversFraction * NumberWalkers
  create-walkers MoneySavers [
    set color red
    set location one-of railStations
    set TotExpenditure 0
    set TotTimeTravel 0
    set TotComfort 0
    set preference 1]  
  create-walkers TimeSavers [
    set color red
    set location one-of railStations
    set TotExpenditure 0
    set TotTimeTravel 0
    set TotComfort 0
    set preference 2]
  create-walkers NumberWalkers - TimeSavers - MoneySavers [
    set color red
    set location one-of railStations
    set TotExpenditure 0
    set TotTimeTravel 0
    set TotComfort 0
    set preference 3]
  ask railStations [repeat NumberTrainForStation [
      let node one-of other railStations
      create-train-to node
      create-train-from node]]
  ask trains [
    set price PriceTrain
    set time 250
    set comfort 100
    set passengers 0]
  file-open "./DatiAeroporti_Stazioni/Airports.txt"
  while [not file-at-end?][
    ask railStation file-read [
      set breed airports
      set color green]]
  file-close  
  ask airports [repeat NumerFlightForAirports [
      let node one-of other airports
      create-flight-to node
      create-flight-from node]]
  ask flights [
    set price PriceFlight
    set time 25
    set comfort 70
    set passengers 0]
  ask trains [set capacity round TrainCapacity]
  ask flights [set capacity round FlightCapacity]
  ask walkers [move-to location]
  reset-ticks
end 

to go
  set DayTrainCount 0
  set DayFlightCount 0
  set DayNoTravelCount 0
  ask links [set passengers 0]
  ask walkers [
    ChooseDestination
    let Tinter -1
    let Minter -1
    let Finter -1
    let Price1 9999999999999
    let Time1 9999999999999
    let Comf1 9999999999999
    let Price2 9999999999999
    let Time2 9999999999999
    let Comf2 9999999999999
    let Price3 9999999999999
    let Time3 9999999999999
    let Comf3 9999999999999
    let index1 [who] of location
    let index2 [who] of destination    
    if is-airport? location and is-airport? destination [
      set Finter FindWayByFlight
      if Finter != -1
      [ifelse Finter = [who] of destination
        [ask flight index1 index2[set Price2 price
          set Time2 time
          set Comf2 comfort]]
        [ask flight index1 Finter[
          set Price2 price
          set Time2 time
          set Comf2 comfort]
        ask flight Finter index2[
          set Price2 Price2 + price
          set Time2 Time2 + time
          set Comf2 Comf2 + comfort]]]]    
    set Tinter FindWayByTrain
    if Tinter != -1
    [ifelse Tinter = [who] of destination
      [ask train index1 index2[
          set Price1 price
          set Time1 time
          set Comf1 comfort]]
      [ask train index1 Tinter[
        set Price1 price
        set Time1 time
        set Comf1 comfort]
      ask train Tinter index2[
        set Price1 Price1 + price
        set Time1 Time1 + time
        set Comf1 (Comf1 + comfort)]]]    
    set Minter FindMixedWay
;    let DivFlag 0
    if Minter != -1 and Minter != Tinter and Minter != Finter
    [if Minter != index2 
      [ifelse [out-flight-neighbor? turtle Minter] of turtle index1
        [ask flight index1 Minter[
          set Price3 price
          set Time3 time
          set Comf3 comfort]]
;          set DivFlag DivFlag + 1]]
        [ask train index1 Minter [
          set Price3 price
          set Time3 time 
          set Comf3 comfort]]
      ifelse [out-flight-neighbor? turtle index2] of turtle Minter
      [ask flight Minter index2 [
        set Price3 Price3 + price
        set Time3 Time3 + time
        set Comf3 Comf3 + comfort ]]                         
;        set DivFlag DivFlag + 1]]                          
      [ask train Minter index2 [
        set Price3 Price3 + price
        set Time3 Time3 + time
        set Comf3 Comf3 + comfort]]]
    ]
;      if DivFlag != 1 [
;        set Price3 9999999999999
;        set Time3 9999999999999
;        set Comf3 9999999999999]] Without comment does not check whether the travel uses different mean of transportation, but this allow to consider different path to reach 
; the destination passing trough diverse cities
;c'era una riga con i contatori vecchi
    ifelse Tinter = -1 and Finter = -1 and Minter = -1  [set DayNoTravelCount DayNoTravelCount + 1]
    [let PriceList []
      let TimeList []
      let ComfList []
      set PriceList lput Price1 PriceList
      set PriceList lput Price2 PriceList
      set PriceList lput Price3 PriceList
      set TimeList lput Time1 TimeList
      set TimeList lput Time2 TimeList
      set TimeList lput Time3 TimeList
      set ComfList lput Comf1 ComfList
      set ComfList lput Comf2 ComfList
      set ComfList lput Comf3 ComfList
      if preference = 1 [ 
        let pos position min PriceList PriceList
        ifelse pos = 0 
        [set TotExpenditure TotExpenditure + Price1
          set TotTimeTravel TotTimeTravel + Time1
          set TotComfort TotComfort + Comf1
          set DayTrainCount DayTrainCount + 1
          ifelse Tinter = index2[ask train index1 index2 [set passengers passengers + 1]]
            [ask train index1 Tinter [set passengers passengers + 1]
              ask train Tinter index2 [set passengers passengers + 1]]]
        [ifelse pos = 1 
          [set TotExpenditure TotExpenditure + Price2
            set TotTimeTravel TotTimeTravel + Time2
            set TotComfort TotComfort + Comf2
            set DayFlightCount DayFlightCount + 1
            ifelse Finter = index2[ask flight index1 index2 [set passengers passengers + 1]]
            [ask flight index1 Finter [set passengers passengers + 1]
              ask flight Finter index2 [set passengers passengers + 1]]]
          [set TotExpenditure TotExpenditure + Price3
          set TotTimeTravel TotTimeTravel + Time3
          set TotComfort TotComfort + Comf3
          set DayTrainCount DayTrainCount + 1
          set DayFlightCount DayFlightCount + 1
          ifelse [out-flight-neighbor? turtle Minter] of turtle index1  
            [ask flight index1 Minter [set passengers passengers + 1]]
            [ask train index1 Minter [set passengers passengers + 1]]
          ifelse [out-flight-neighbor? turtle index2] of turtle Minter 
            [ask flight Minter index2 [set passengers passengers + 1]]
            [ask train Minter index2 [set passengers passengers + 1]] 
            ]]]
      if preference = 2 [ 
        let pos position min TimeList TimeList
        ifelse pos = 0 
        [
          set TotExpenditure TotExpenditure + Price1
          set TotTimeTravel TotTimeTravel + Time1
          set TotComfort TotComfort + Comf1
          set DayTrainCount DayTrainCount + 1
          ifelse Tinter = index2[ask train index1 index2 [set passengers passengers + 1]]
            [ask train index1 Tinter [set passengers passengers + 1]
              ask train Tinter index2 [set passengers passengers + 1]]]
        [ifelse pos = 1 
          [set TotExpenditure TotExpenditure + Price2
            set TotTimeTravel TotTimeTravel + Time2
            set TotComfort TotComfort + Comf2
            set DayFlightCount DayFlightCount + 1
            ifelse Finter = index2[ask flight index1 index2 [set passengers passengers + 1]]
            [ask flight index1 Finter [set passengers passengers + 1]
              ask flight Finter index2 [set passengers passengers + 1]]]
          [set TotExpenditure TotExpenditure + Price3
          set TotTimeTravel TotTimeTravel + Time3
          set TotComfort TotComfort + Comf3
          set DayTrainCount DayTrainCount + 1
          set DayFlightCount DayFlightCount + 1
          ifelse [out-flight-neighbor? turtle Minter] of turtle index1  
            [ask flight index1 Minter [set passengers passengers + 1]]
            [ask train index1 Minter [set passengers passengers + 1]]
          ifelse [out-flight-neighbor? turtle index2] of turtle Minter 
            [ask flight Minter index2 [set passengers passengers + 1]]
            [ask train Minter index2 [set passengers passengers + 1]] 
            ]]]
      if preference = 3 [ 
        let pos position min ComfList ComfList
        ifelse pos = 0 
        [set TotExpenditure TotExpenditure + Price1
          set TotTimeTravel TotTimeTravel + Time1
          set TotComfort TotComfort + Comf1
          set DayTrainCount DayTrainCount + 1
          ifelse Tinter = index2[ask train index1 index2 [set passengers passengers + 1]]
            [ask train index1 Tinter [set passengers passengers + 1]
              ask train Tinter index2 [set passengers passengers + 1]]]
        [ifelse pos = 1 
          [set TotExpenditure TotExpenditure + Price2
            set TotTimeTravel TotTimeTravel + Time2
            set TotComfort TotComfort + Comf2
            set DayFlightCount DayFlightCount + 1
            ifelse Finter = index2[ask flight index1 index2 [set passengers passengers + 1]]
            [ask flight index1 Finter [set passengers passengers + 1]
              ask flight Finter index2 [set passengers passengers + 1]]]
          [set TotExpenditure TotExpenditure + Price3
          set TotTimeTravel TotTimeTravel + Time3
          set TotComfort TotComfort + Comf3
          set DayTrainCount DayTrainCount + 1
          set DayFlightCount DayFlightCount + 1
          ifelse [out-flight-neighbor? turtle Minter] of turtle index1  
            [ask flight index1 Minter [set passengers passengers + 1]]
            [ask train index1 Minter [set passengers passengers + 1]]
          ifelse [out-flight-neighbor? turtle index2] of turtle Minter 
            [ask flight Minter index2 [set passengers passengers + 1]]
            [ask train Minter index2 [set passengers passengers + 1]] 
            ]]]
      move-to destination
      set location destination
    ]]
  ask links [set color 6
    set thickness 0.1]
  ask trains [
    if passengers > 0.7 * capacity [set price price + 0.2 * price ] 
    if passengers < 0.2 * capacity [set price price - 0.3 * price]]
  ask flights [
    if passengers > 0.7 * capacity [set price price + 0.2 * price ]
    if passengers < 0.2 * capacity [set price price - 0.3 * price]]
  ask trains with-max [passengers] [if passengers > 0 [set color 47
      set thickness 0.3]] 
  ask flights with-max [passengers] [if passengers > 0 [set color 47
      set thickness 0.3]]
  ask trains with-max [price] [set color 67
    set thickness 0.3] 
  ask flights with-max [price] [set color 67
    set thickness 0.3]
  tick
end

to ChooseDestination 
  let loc [who] of location
  let index [who] of location
  while [loc = index] [
    set index random 49
    set destination turtle index]
end

to-report FindWayByTrain
  let station -1
  let intermedio -1
  let index1 [who] of location
  let index2 [who] of destination
  let trains1 trains with [[who] of end1 = index1]  
  let trains2 trains with [[who] of end2 = index2]
  ask trains1 [set intermedio [who] of end2
    ifelse intermedio = index2 and passengers < capacity - 1 [
      set station intermedio
      stop]
    [ask trains2 [if intermedio = [who] of end1 and passengers < capacity - 1 [
        set station intermedio
        stop]
      stop]]]
  report  station
end

to-report FindWayByFlight
  let station -1
  let intermedio -1
  let index1 [who] of location
  let index2 [who] of destination
  let flights1 flights with [[who] of end1 = index1]  
  let flights2 flights with [[who] of end2 = index2]
  ask flights1 [set intermedio [who] of end2
    ifelse intermedio = index2 and passengers < capacity - 1 [
      set station intermedio
      stop]
    [ask flights2 [if intermedio = [who] of end1 and passengers < capacity - 1 [
          set station intermedio
          stop]
        stop]]]
  report station
end

to-report FindMixedWay
  let station -1
  let intermedio -1
  let index1 [who] of location
  let index2 [who] of destination
  let links1 links with [[who] of end1 = index1]  
  let links2 links with [[who] of end2 = index2]
  ask links1 [set intermedio [who] of end2
    ifelse intermedio = index2 and passengers < capacity - 1 [
      set station intermedio
      stop]
    [ask links2 [if intermedio = [who] of end1 and passengers < capacity - 1 [
          set station intermedio
          stop]
        stop]]]
  report station
end
@#$#@#$#@
GRAPHICS-WINDOW
255
10
760
536
16
16
15.0
1
10
1
1
1
0
0
0
1
-16
16
-16
16
1
1
1
ticks
30.0

BUTTON
25
18
99
51
setup
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
112
18
188
51
go
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
9
169
203
202
NumberTrainForStation
NumberTrainForStation
1
50
14
1
1
NIL
HORIZONTAL

SLIDER
9
205
203
238
NumerFlightForAirports
NumerFlightForAirports
1
21
8
1
1
NIL
HORIZONTAL

SLIDER
209
169
242
409
NumberWalkers
NumberWalkers
1
5001
2501
100
1
NIL
VERTICAL

SLIDER
8
252
180
285
PriceTrain
PriceTrain
1
1000
101
50
1
NIL
HORIZONTAL

SLIDER
8
288
180
321
PriceFlight
PriceFlight
1
1000
376
25
1
NIL
HORIZONTAL

PLOT
767
20
1207
158
Summary of behaviours
Time
Fractions
0.0
50.0
0.0
1.0
true
true
"" ""
PENS
"Preferring Train" 1.0 0 -2674135 true "" "plot (DayTrainCount / (DayTrainCount + DayFlightCount))"
"Preferring Airplanes" 1.0 0 -13345367 true "" "plot (DayFlightCount / (DayTrainCount + DayFlightCount))"
"NonReachable" 1.0 0 -16777216 true "" "plot (DayNoTravelCount / (DayTrainCount + DayFlightCount + DayNoTravelCount))"

SLIDER
8
62
196
95
MoneySaversFraction
MoneySaversFraction
0
1
0.66
0.01
1
NIL
HORIZONTAL

SLIDER
9
97
196
130
TimeSaversFraction
TimeSaversFraction
0
1
0.33
0.01
1
NIL
HORIZONTAL

TEXTBOX
11
132
214
160
WARNING: The sum of these fractions above must be lower than 1
11
15.0
0

PLOT
768
323
1209
473
Mean Prices
Time
Mean Prices
0.0
50.0
0.0
100.0
true
true
"" ""
PENS
"Trains Mean Prices" 1.0 0 -2674135 true "" "plot mean [price] of trains"
"Flights Mean Price " 1.0 0 -13345367 true "" "plot mean [price] of flights"
"Train Max Price" 1.0 0 -817084 true "" "plot max [price] of trains"
"Flight Max Price" 1.0 0 -10649926 true "" "plot max [price] of flights"

PLOT
767
165
1207
315
Mean Passengers
Time
Passengers
0.0
50.0
0.0
10.0
true
true
"" ""
PENS
"TrainMeanPass" 1.0 0 -2674135 true "" "plot mean [passengers] of trains"
"FlightMeanPass" 1.0 0 -13345367 true "" "plot mean [passengers] of flights"

SLIDER
8
339
180
372
TrainCapacity
TrainCapacity
1
500
6
5
1
NIL
HORIZONTAL

SLIDER
8
376
180
409
FlightCapacity
FlightCapacity
1
250
5
2
1
NIL
HORIZONTAL

MONITOR
20
415
100
460
# of trains
count trains
0
1
11

MONITOR
116
415
196
460
# of flights
count flights
0
1
11

TEXTBOX
773
481
1038
524
LEGEND:\ngreen links are those which are more expensive\nyellow links are those with more passengers
11
0.0
1

@#$#@#$#@
## WHAT IS IT?

(a general understanding of what the model is trying to show or explain)

## HOW IT WORKS

(what rules the agents use to create the overall behavior of the model)

## HOW TO USE IT

(how to use the model, including a description of each of the items in the Interface tab)

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 30 60 225 150 180 240 225

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.0.5
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
